import { aM as c, aJ as a } from "./index-THhC4TET.js";
import { A as m } from "./AppCard-1cD7do0L.js";
import { u } from "./useIsAppEnabled-I_8ayZmb.js";
import l from "./EventTypeAppSettingsInterface-FPPl3pOD.js";
const E = function({ app: t, eventType: e }) {
  var s;
  const { getAppData: p, setAppData: n, disabled: r } = c(), { enabled: i, updateEnabled: o } = u(t);
  return /* @__PURE__ */ a.jsx(
    m,
    {
      hideSettingsIcon: !0,
      app: t,
      switchOnClick: (d) => {
        o(d);
      },
      switchChecked: i,
      teamId: ((s = e.team) == null ? void 0 : s.id) || void 0,
      children: /* @__PURE__ */ a.jsx(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: r,
          getAppData: p,
          setAppData: n
        }
      )
    }
  );
};
export {
  E as default
};
